<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Настройки знакомств';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save'])){

if (isset($_POST['ilove']) && ($_POST['ilove']==1 || $_POST['ilove']==0))
{
$user['ilove']=intval($_POST['ilove']);
mysql_query("UPDATE `user` SET `ilove` = '$user[ilove]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Ошибка показа страницы в знакомствах';

if (isset($_POST['imlove']) && strlen2($_POST['imlove'])<=256)
{
if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['imlove']))$err[]='В поле "критерии" используются запрещенные символы';
else {
$user['imlove']=$_POST['imlove'];
mysql_query("UPDATE `user` SET `imlove` = '".my_esc($user['imlove'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='О критериях нужно писать меньше :)';

if (!isset($err))msg('Изменения успешно приняты');
}
err();

echo "<form method='post' action='?$passgen'>\n";
echo "<div class='menu_razd'>";
echo "Показывать мою страничку в 5-ке знакомств<br />\n<select name='ilove'>\n";
echo "<option value='1'".($user['ilove']==1?" selected='selected'":null).">Нет</option>\n";
echo "<option value='0'".($user['ilove']==0?" selected='selected'":null).">Да</option>\n";
echo "</select><br />\n";
echo "Критерий знакомства:<br />\n<input type='text' name='imlove' value='$user[imlove]' maxlength='256' /><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "</div>\n";
echo "<div class='rekl'>";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo " <a href='/love/'>Знакомства</a> <br/>\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>